Slony-I 2.2.10 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SLONIK EXIT

## Name

EXIT -- Terminate Slonik script with signal

## Synopsis

`exit` [`[-]ival`]

## Description

Terminates script execution immediately, rolling back every open transaction on all database connections. The slonik utility will return the given value as its program termination code. Note that on Unix, exit statuses are restricted to the range 0-255.

## Example

         EXIT 0;

## Version Information

This command was introduced in Slony-I 1.0

Prev | Home | Next
SLONIK DATE | Up | SLONIK INIT CLUSTER